Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation
Interface QueryCacheInstrument

All Known Subinterfaces:
  QueryCacheJMXInstrumentMBean

All Known Implementing Classes:
  AbstractQueryCacheInstrument, QueryCacheJMXInstrument

    public interface QueryCacheInstrument

Interface for providing instrumented data cache metrics and operations.

Method Summary
`long` | `count()` Returns the number of total entries in the cache.
`long` | `getEvictionCount()` Returns number of total evictions since last reset
`long` | `getExecutionCount()` Returns number of total execution requests since last reset
`long` | `getExecutionCount(String queryKey)` Returns number of total execution requests since last reset for the specified string-ified query key.
`long` | `getHitCount()` Returns number of total read requests that have been found in cache since last reset.
`long` | `getHitCount(String queryKey)` Returns number of total read requests that have been found in cache since last reset for the specified string-ified query key.
`long` | `getTotalEvictionCount()` Returns number of total eviction requests since start.
`long` | `getTotalExecutionCount()` Returns number of total exec requests since start.
`long` | `getTotalExecutionCount(String queryKey)` Returns number of total exec requests since start for the specified string-ified query key.
`long` | `getTotalHitCount()` Returns number of total read requests that has been found since start.
`long` | `getTotalHitCount(String queryKey)` Returns number of total read requests that has been found since start for the specified string-ified query key.
`Set<String>` | `queryKeys()` Returns all the string-ified keys for query results in the cache.
`void` | `reset()` Resets cache statistics
`Date` | `sinceDate()` Returns date since cache statistics collection were last reset.
`Date` | `startDate()` Returns date cache statistics collection started.

Method Detail

### getTotalExecutionCount

    long getTotalExecutionCount()

  Returns number of total exec requests since start.

### getTotalExecutionCount

    long getTotalExecutionCount(String queryKey)

  Returns number of total exec requests since start for the specified string-ified query key.

### getExecutionCount

    long getExecutionCount()

  Returns number of total execution requests since last reset

### getExecutionCount

    long getExecutionCount(String queryKey)

  Returns number of total execution requests since last reset for the specified string-ified query key.

### getHitCount

    long getHitCount()

  Returns number of total read requests that have been found in cache since last reset.

### getHitCount

    long getHitCount(String queryKey)

  Returns number of total read requests that have been found in cache since last reset for the specified string-ified query key.

### getTotalHitCount

    long getTotalHitCount()

  Returns number of total read requests that has been found since start.

### getTotalHitCount

    long getTotalHitCount(String queryKey)

  Returns number of total read requests that has been found since start for the specified string-ified query key.

### reset

    void reset()

  Resets cache statistics

### sinceDate

    Date sinceDate()

  Returns date since cache statistics collection were last reset.

### startDate

    Date startDate()

  Returns date cache statistics collection started.

### queryKeys

    Set<String> queryKeys()

  Returns all the string-ified keys for query results in the cache.

  Returns:

### getEvictionCount

    long getEvictionCount()

  Returns number of total evictions since last reset

### getTotalEvictionCount

    long getTotalEvictionCount()

  Returns number of total eviction requests since start.

### count

    long count()

  Returns the number of total entries in the cache.

  Returns:
    entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.